package domain

type AlibabaHmMarketingExpirePromotionQueryMarketResult struct {
	/*
	   message     */
	Message *string `json:"message,omitempty" `

	/*
	   data     */
	Data *AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo `json:"data,omitempty" `

	/*
	   errorCode     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   success     */
	IsSuccess *bool `json:"is_success,omitempty" `
}

func (s *AlibabaHmMarketingExpirePromotionQueryMarketResult) SetMessage(v string) *AlibabaHmMarketingExpirePromotionQueryMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryMarketResult) SetData(v AlibabaHmMarketingExpirePromotionQueryExpirePromotionBo) *AlibabaHmMarketingExpirePromotionQueryMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryMarketResult) SetErrorCode(v string) *AlibabaHmMarketingExpirePromotionQueryMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingExpirePromotionQueryMarketResult) SetIsSuccess(v bool) *AlibabaHmMarketingExpirePromotionQueryMarketResult {
	s.IsSuccess = &v
	return s
}
